<!DOCTYPE HTML>
<html lang="fr">
<head>
<!-- Generated by javadoc (21) on Mon May 27 19:45:04 CEST 2024 -->
<title>Uses of Class com.projetdev.modele.Forme</title>
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2024-05-27">
<meta name="description" content="use: package: com.projetdev.modele, class: Forme">
<meta name="generator" content="javadoc/ClassUseWriter">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../script-dir/jquery-ui.min.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
<script type="text/javascript" src="../../../../script-dir/jquery-3.6.1.min.js"></script>
<script type="text/javascript" src="../../../../script-dir/jquery-ui.min.js"></script>
</head>
<body class="class-use-page">
<script type="text/javascript">var pathtoroot = "../../../../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar-top"><button id="navbar-toggle-button" aria-controls="navbar-top" aria-expanded="false" aria-label="Toggle navigation links"><span class="nav-bar-toggle-icon">&nbsp;</span><span class="nav-bar-toggle-icon">&nbsp;</span><span class="nav-bar-toggle-icon">&nbsp;</span></button>
<div class="skip-nav"><a href="#skip-navbar-top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar-top-firstrow" class="nav-list" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../Forme.html" title="class in com.projetdev.modele">Class</a></li>
<li class="nav-bar-cell1-rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html#use">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div id="navbar-sub-list"></div>
<div class="nav-list-search"><a href="../../../../search.html">SEARCH</a>
<input type="text" id="search-input" disabled placeholder="Search">
<input type="reset" id="reset-button" disabled value="reset">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip-navbar-top"></span></nav>
</header>
<div class="flex-content">
<main role="main">
<div class="header">
<h1 title="Uses of Class com.projetdev.modele.Forme" class="title">Uses of Class<br>com.projetdev.modele.Forme</h1>
</div>
<div class="caption"><span>Packages that use <a href="../Forme.html" title="class in com.projetdev.modele">Forme</a></span></div>
<div class="summary-table two-column-summary">
<div class="table-header col-first">Package</div>
<div class="table-header col-last">Description</div>
<div class="col-first even-row-color"><a href="#com.projetdev.modele">com.projetdev.modele</a></div>
<div class="col-last even-row-color">&nbsp;</div>
<div class="col-first odd-row-color"><a href="#com.projetdev.vue">com.projetdev.vue</a></div>
<div class="col-last odd-row-color">&nbsp;</div>
</div>
<section class="class-uses">
<ul class="block-list">
<li>
<section class="detail" id="com.projetdev.modele">
<h2>Uses of <a href="../Forme.html" title="class in com.projetdev.modele">Forme</a> in <a href="../package-summary.html">com.projetdev.modele</a></h2>
<div class="caption"><span>Subclasses of <a href="../Forme.html" title="class in com.projetdev.modele">Forme</a> in <a href="../package-summary.html">com.projetdev.modele</a></span></div>
<div class="summary-table three-column-summary">
<div class="table-header col-first">Modifier and Type</div>
<div class="table-header col-second">Class</div>
<div class="table-header col-last">Description</div>
<div class="col-first even-row-color"><code>class&nbsp;</code></div>
<div class="col-second even-row-color"><code><a href="../Carre.html" class="type-name-link" title="class in com.projetdev.modele">Carre</a></code></div>
<div class="col-last even-row-color">
<div class="block">La classe Carre représente un carré graphique.</div>
</div>
<div class="col-first odd-row-color"><code>class&nbsp;</code></div>
<div class="col-second odd-row-color"><code><a href="../Cercle.html" class="type-name-link" title="class in com.projetdev.modele">Cercle</a></code></div>
<div class="col-last odd-row-color">
<div class="block">La classe Cercle représente un cercle graphique.</div>
</div>
<div class="col-first even-row-color"><code>class&nbsp;</code></div>
<div class="col-second even-row-color"><code><a href="../DessinLibre.html" class="type-name-link" title="class in com.projetdev.modele">DessinLibre</a></code></div>
<div class="col-last even-row-color">
<div class="block">Classe représentant un dessin libre.</div>
</div>
<div class="col-first odd-row-color"><code>class&nbsp;</code></div>
<div class="col-second odd-row-color"><code><a href="../Ellipse.html" class="type-name-link" title="class in com.projetdev.modele">Ellipse</a></code></div>
<div class="col-last odd-row-color">
<div class="block">La classe Ellipse représente une ellipse graphique.</div>
</div>
<div class="col-first even-row-color"><code>class&nbsp;</code></div>
<div class="col-second even-row-color"><code><a href="../Ligne.html" class="type-name-link" title="class in com.projetdev.modele">Ligne</a></code></div>
<div class="col-last even-row-color">
<div class="block">La classe Ligne représente une ligne graphique.</div>
</div>
<div class="col-first odd-row-color"><code>class&nbsp;</code></div>
<div class="col-second odd-row-color"><code><a href="../Rectangle.html" class="type-name-link" title="class in com.projetdev.modele">Rectangle</a></code></div>
<div class="col-last odd-row-color">
<div class="block">La classe Rectangle représente un rectangle graphique.</div>
</div>
</div>
</section>
</li>
<li>
<section class="detail" id="com.projetdev.vue">
<h2>Uses of <a href="../Forme.html" title="class in com.projetdev.modele">Forme</a> in <a href="../../vue/package-summary.html">com.projetdev.vue</a></h2>
<div class="caption"><span>Methods in <a href="../../vue/package-summary.html">com.projetdev.vue</a> that return <a href="../Forme.html" title="class in com.projetdev.modele">Forme</a></span></div>
<div class="summary-table three-column-summary">
<div class="table-header col-first">Modifier and Type</div>
<div class="table-header col-second">Method</div>
<div class="table-header col-last">Description</div>
<div class="col-first even-row-color"><code><a href="../Forme.html" title="class in com.projetdev.modele">Forme</a></code></div>
<div class="col-second even-row-color"><span class="type-name-label">PanneauDessin.</span><code><a href="../../vue/PanneauDessin.html#getNouvelleForme()" class="member-name-link">getNouvelleForme</a>()</code></div>
<div class="col-last even-row-color">
<div class="block">Obtient la dernière forme ajoutée au panneau.</div>
</div>
</div>
<div class="caption"><span>Methods in <a href="../../vue/package-summary.html">com.projetdev.vue</a> that return types with arguments of type <a href="../Forme.html" title="class in com.projetdev.modele">Forme</a></span></div>
<div class="summary-table three-column-summary">
<div class="table-header col-first">Modifier and Type</div>
<div class="table-header col-second">Method</div>
<div class="table-header col-last">Description</div>
<div class="col-first even-row-color"><code><a href="https://docs.oracle.com/en/java/javase/21/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a><wbr>&lt;<a href="../Forme.html" title="class in com.projetdev.modele">Forme</a>&gt;</code></div>
<div class="col-second even-row-color"><span class="type-name-label">PanneauDessin.</span><code><a href="../../vue/PanneauDessin.html#getListeForme()" class="member-name-link">getListeForme</a>()</code></div>
<div class="col-last even-row-color">
<div class="block">Obtient la liste des formes dessinées sur le panneau.</div>
</div>
<div class="col-first odd-row-color"><code><a href="https://docs.oracle.com/en/java/javase/21/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a><wbr>&lt;<a href="../Forme.html" title="class in com.projetdev.modele">Forme</a>&gt;</code></div>
<div class="col-second odd-row-color"><span class="type-name-label">PanneauDessin.</span><code><a href="../../vue/PanneauDessin.html#getListeFormeBackUp()" class="member-name-link">getListeFormeBackUp</a>()</code></div>
<div class="col-last odd-row-color">
<div class="block">Obtient la liste de sauvegarde des formes dessinées sur le panneau.</div>
</div>
<div class="col-first even-row-color"><code><a href="https://docs.oracle.com/en/java/javase/21/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a><wbr>&lt;<a href="../Forme.html" title="class in com.projetdev.modele">Forme</a>&gt;</code></div>
<div class="col-second even-row-color"><span class="type-name-label">PanneauDessin.</span><code><a href="../../vue/PanneauDessin.html#getListePrevisualisation()" class="member-name-link">getListePrevisualisation</a>()</code></div>
<div class="col-last even-row-color">
<div class="block">Obtient la liste des formes en prévisualisation.</div>
</div>
</div>
<div class="caption"><span>Methods in <a href="../../vue/package-summary.html">com.projetdev.vue</a> with parameters of type <a href="../Forme.html" title="class in com.projetdev.modele">Forme</a></span></div>
<div class="summary-table three-column-summary">
<div class="table-header col-first">Modifier and Type</div>
<div class="table-header col-second">Method</div>
<div class="table-header col-last">Description</div>
<div class="col-first even-row-color"><code>void</code></div>
<div class="col-second even-row-color"><span class="type-name-label">PanneauDessin.</span><code><a href="../../vue/PanneauDessin.html#ajouterForme(com.projetdev.modele.Forme)" class="member-name-link">ajouterForme</a><wbr>(<a href="../Forme.html" title="class in com.projetdev.modele">Forme</a>&nbsp;nouvelleForme)</code></div>
<div class="col-last even-row-color">
<div class="block">Ajoute une nouvelle forme au panneau.</div>
</div>
<div class="col-first odd-row-color"><code>void</code></div>
<div class="col-second odd-row-color"><span class="type-name-label">PanneauDessin.</span><code><a href="../../vue/PanneauDessin.html#ajouterPrevisu(com.projetdev.modele.Forme)" class="member-name-link">ajouterPrevisu</a><wbr>(<a href="../Forme.html" title="class in com.projetdev.modele">Forme</a>&nbsp;nouvelleForme)</code></div>
<div class="col-last odd-row-color">
<div class="block">Ajoute une forme en prévisualisation.</div>
</div>
</div>
</section>
</li>
</ul>
</section>
</main>
</div>
</div>
</body>
</html>
